#include <stdio.h>
static int a[2000000];
int main()
{
int n,k,i,p,s=0;
scanf("%d%d",&n,&k);
for(i=0;i<2*n;i++)
{
  scanf("%d",&p);
  if(++a[p+n]==k)
  s++;
}
printf("%d\n",s);
for(i=0;i<2*n;i++)
if(a[i]>=k)
printf("%d ",i-n);
return 0;
}